<?php

namespace App\Models;
use App\User;
use Packages\Product\Models\Product;;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Category extends Model
{
    protected $guarded = [] ;

    use SoftDeletes;


    public function user()
    {
        return $this->belongsTo(User::class, 'creator_id', 'id');
    }

    public function category()
    {
        return $this->morphedByMany('Packages\Product\Models', 'categorizable');
    }
    public function getTypeAttribute($value)
    {

        switch ($value) {
            case 0:
                $type= 'ساده';
                break;
            case 1:
                $type= 'متغیر';
                break;
            case 2:
                $type= 'باندل';
                break;

            default:
                $type='';

        }
        return $type;
    }

}
