@component('panel.layouts.component', ['title' => 'محصولات'])

    @slot('style')
    @endslot

    @slot('subject')
        <h1><i class="fa fa-users"></i> محصولات </h1>
        <p>لیست محصولاتی تعریف شده برای مدیریت سطوح دسترسی.</p>
    @endslot

    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="row">
            <div class="col-md-12">
                @component('components.collapse-card' , ['title' => 'لیست محصولات'])
                    @slot('body')
                        @component('components.collapse-search')
                            @slot('form')
                                <form class="clearfix">
                                    <div class="form-group">
                                        <label for="text-name-input">نام محصول</label>
                                        <input type="text" class="form-control" id="text-name-input"
                                               placeholder="نام محصول">
                                    </div>
                                    <button type="submit" class="btn btn-primary float-left">جستجو</button>
                                </form>
                            @endslot
                        @endcomponent
                        @component('product::components.message')
                        @endcomponent
                        <div class="mt-4">
                            <a href="{{ route('products.create') }}" type="button" class="btn btn-primary"><i
                                    class="fa fa-plus"></i> ایجاد محصول</a>
                        </div>

                        @component('components.table')
                            @slot('thead')
                                <tr>
                                    <th>شماره</th>
                                    <th>نام</th>
                                    <th>slug</th>
                                    <th> sku</th>
                                    <th>قیمت</th>
                                    <th> قیمت فروش ویژه</th>
                                    <th> نویسنده</th>
                                    <th>وضعیت</th>
                                    <th>نوع</th>

                                    <th>توضیحات</th>
                                    <th>دسته بندی</th>
                                    <th> مدیریت</th>
                                </tr>
                            @endslot
                            @slot('tbody')
                                @forelse ($products as $product)

                                    <tr>
                                        <td>
                                            {{$product->id}}
                                        </td>
                                        <td>
                                            {{$product->title}}
                                        </td>
                                        <td>
                                            {{$product->slug}}
                                        </td>
                                        <td>
                                            {{$product->sku}}
                                        </td>
                                        <td>
                                            {{$product->price}}
                                        </td>
                                        <td>
                                            {{$product->sale_price}}
                                        </td>
                                        <td>
                                         {{$product->user->name}}

                                        </td>
                                        <td>
                                            {{$product->status}}

                                        </td>
                                        <td>
                                            {{$product->type}}

                                        </td>

                                        <td>
                                            <?php  echo mb_substr(strip_tags($product->discription), 0, 15, 'UTF8') . '...'?>
                                        </td>
                                        <td>

                                            @foreach($product->categories->pluck('name') as $category)
                                                {{$category}}
                                            @endforeach
                                        </td>
                                        <td class="d-flex">
                                            <a href="{{route('products.edit', $product->id)}}"
                                               class="btn btn-sm btn-primary mr-2">ویرایش</a>
                                            <form
                                                action="{{route('products.destroy', $product->id)}}"
                                                method="POST"
                                                onsubmit="return confirm('آیا مطمئن هستید؟');"
                                            >
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger">حذف</button>
                                            </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="5" class="text-center">موردی برای نمایش وجود ندارد.</td>
                                    </tr>
                                @endforelse
                            @endslot

                        @endcomponent

                        {{--Paginate section--}}

                        {{ $products->withQueryString()->links() }}

                    @endslot
                @endcomponent
            </div>
        </div>


    @endslot

    @slot('script')
    @endslot

@endcomponent
