@component('home.layouts.component', ['title' => 'ورود به حساب‌کاربری'])

    @slot('style')
    @endslot

    @slot('content')
        <div class="auth-background">
            <div class="container h-100">
                <div class="row align-items-center h-100">
                    <div class="col-lg-6 col-md-8 mx-auto">
                        <div class="card">
                            <div class="card-header"><strong>{{ __('ورود به حساب کاربری') }}</strong></div>

                            <div class="card-body mx-lg-5 px-lg-3">
                                <form method="POST" action="{{ route('login') }}">
                                    @csrf

                                    <div class="form-group">
                                        <label for="username">نام کاربری</label>
                                        <input id="username" type="text"
                                               class="form-control @error('username') is-invalid @enderror"
                                               name="username" value="{{ old('username') }}" required
                                               autocomplete="username" autofocus>

                                        @error('username')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>

                                    <div class="form-group">
                                        <label for="password">{{ __('رمز عبور') }}</label>

                                        <input id="password" type="password"
                                               class="form-control @error('password') is-invalid @enderror"
                                               name="password" required autocomplete="current-password">

                                        @error('password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                    </div>

                                    <div class="form-group">
                                        <x-cutlet-recaptcha :has-error="$errors->has('g-recaptcha-response')"></x-cutlet-recaptcha>
                                    </div>

                                    <div class="custom-control custom-checkbox mb-3">
                                        <input type="checkbox" class="custom-control-input" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                        <label class="custom-control-label" for="remember">
                                            {{ __('مرا به خاطر داشته باش') }}
                                        </label>
{{--                                        <div class="invalid-feedback">Example invalid feedback text</div>--}}
                                    </div>

                                    <div class="form-group mb-0">
                                        <button type="submit" class="btn btn-primary">
                                            {{ __('ورود') }}
                                        </button>

                                        @if (Route::has('password.request'))
                                            <a class="btn btn-link" href="{{ route('password.request') }}">
                                                {{ __('رمز عبور خود را فراموش کرده‌ام') }}
                                            </a>
                                        @endif
                                    </div>
                                </form>
                            </div>

                            <div class="card-footer">
                                <span><strong>کاربر جدید هستید؟ </strong></span>
                                <a class="btn btn-link" href="{{ route('register') }}">
                                    {{ __('ایجاد حساب کاربری') }}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')

    @endslot

@endcomponent
