@component('panel.layouts.component', ['title' => 'دسته بندی '])

    @slot('style')
    @endslot

    @slot('subject')
        <h1><i class="fa fa-users"></i> دسته بندی  </h1>
        <p>لیست دسته بندی های تعریف شده برای مدیریت سطوح دسترسی.</p>
    @endslot

    @slot('breadcrumb')
        <li class="breadcrumb-item">دسته بندی </li>
    @endslot

    @slot('content')
        <div class="row">
            <div class="col-md-12">
                @component('components.collapse-card' , ['title' => 'دسته بندی  '])
                    @slot('body')
                        @component('components.collapse-search')
                            @slot('form')
                                <form class="clearfix">
                                    <div class="form-group">
                                        <label for="text-name-input">نام دسته بندی</label>
                                        <input type="text" class="form-control" id="text-name-input"
                                               placeholder="نام دسته">
                                    </div>
                                    <button type="submit" class="btn btn-primary float-left">جستجو</button>
                                </form>
                            @endslot
                        @endcomponent

                        <div class="mt-4">
                            <a href="{{ route('categories.create') }}" type="button" class="btn btn-primary"><i
                                    class="fa fa-plus"></i> ایجاد دسته بندی</a>
                        </div>

                        @component('components.table')
                            @slot('thead')
                                <tr>
                                    <th>شماره بندی</th>
                                    <th>نام دسته بندی</th>
                                    <th>slug</th>
                                    <th>نوع دسته بندی</th>
                                    <th> parent</th>
                                    <th>توضیحات دسته بندی</th>
                                    <th> اضافه کننده دسته بندی</th>
                                    <th> مدیریت</th>
                                </tr>
                            @endslot
                            @slot('tbody')
                                @forelse ($categories as $category)

                                    <tr>
                                        <td>
                                            {{$category->id}}
                                        </td>
                                        <td>
                                            {{$category->title}}
                                        </td>
                                        <td>
                                            {{$category->slug}}
                                        </td>
                                        <td>
                                            {{$category->category_type}}
                                        </td>
                                        <td>
                                            {{$category->parent}}
                                        </td>
                                        <td><?php  echo mb_substr(strip_tags($category->discription), 0, 15, 'UTF8') . '...'?></td>

                                        <td>
                                            {{$category->user->name}}
                                        </td>

                                        <td class="d-flex">
                                            <a href="{{route('categories.edit', $category->id)}}"
                                               class="btn btn-sm btn-primary mr-2">ویرایش</a>
                                            <form
                                                action="{{route('categories.destroy', $category->id)}}"
                                                method="POST"
                                                onsubmit="return confirm('آیا مطمئن هستید؟');"
                                            >
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-sm btn-danger">حذف</button>
                                            </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="5" class="text-center">موردی برای نمایش وجود ندارد.</td>
                                    </tr>
                                @endforelse
                            @endslot

                        @endcomponent

                        {{--Paginate section--}}

                        {{ $categories->withQueryString()->links() }}

                    @endslot
                @endcomponent
            </div>
        </div>


    @endslot

    @slot('script')
    @endslot

@endcomponent

